Name: sflphone
Version: 0.9.13
Release: alt1.M60P.1

Summary: SIP/IAX2 compatible enterprise-class softphone for multi-way conferencing
License: GPLv3+
Group: Networking/Other

Url: http://sflphone.org/
Source0: %name-%version.tar

BuildRequires: doxygen libalsa-devel libavahi-devel libavformat-devel libccrtp-devel libdbus-c++-devel
BuildRequires: libgsm-devel libgtkglext-devel libnotify-devel libosip2-devel
BuildRequires: libreadline-devel libsamplerate-devel libspeex-devel libssl-devel libpulseaudio-devel
BuildRequires: libzrtpcpp-devel libossp-uuid-devel libuuid-devel libexpat-devel libyaml-devel
BuildRequires: libpcre-devel libgsm-devel libcelt-devel perl-podlators gnome-doc-utils libGConf-devel
BuildRequires: glib2-devel libdbus-glib-devel libwebkitgtk2-devel evolution-data-server-devel
BuildRequires: libgnomeui-devel check cmake kde4libs kde4libs-devel kde4pimlibs-devel

%description
SFLphone is a robust standards-compliant enterprise softphone,
for desktop and embedded systems. It is designed to handle
several hundreds of calls a day. It supports both SIP and IAX2
protocols.

%package client-gnome
Summary: gnome client for %name
Group: Networking/Other
Requires: %name = %version-%release

%description client-gnome
%summary

%package client-kde
Summary: kde client for %name
Group: Networking/Other
Requires: %name = %version-%release

%description client-kde
%summary

%prep
%setup
pushd sflphone-client-gnome
subst 's|<glib/g[^i].*\.h>|<glib.h>|g' $(find . -type f)
popd

%build
# Compile the daemon
pushd sflphone-common
./autogen.sh
# Compile pjproject first
pushd libs/pjproject
./autogen.sh
%configure
%make
%make dep
popd
%configure
%make_build
%make doc
popd

# Compile the client
pushd sflphone-client-gnome
./autogen.sh
%configure
%make_build
popd

# kde client
pushd sflphone-client-kde
./config.sh --prefix=%_prefix
pushd build
%make
popd
popd

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
pushd %name-common
%makeinstall_std
popd
pushd %name-client-gnome
%makeinstall_std

# Find Lang files
%find_lang %name-client-gnome
popd
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

pushd %name-client-kde/build
%makeinstall_std
%find_lang %name-client-kde
popd

%post client-gnome
%gconf2_install %name-client-gnome

%preun client-gnome
if [ "$1" -eq 0 ] ; then
	%gconf2_uninstall %name-client-gnome
fi

%files
%_libdir/sflphone/*
%_datadir/sflphone/*
%_man1dir/%{name}d*

%files client-gnome -f %name-client-gnome/%name-client-gnome.lang
%doc AUTHORS NEWS README
%_bindir/%name
%_bindir/%name-client-gnome
%_datadir/gnome/help/sflphone/C/*
%config %_sysconfdir/gconf/schemas/*
%_datadir/applications/sflphone.desktop
%_datadir/dbus-1/services/org.sflphone.SFLphone.service
%_man1dir/%name-client-gnome*
%_man1dir/%name.*
%_datadir/omf/sflphone/*
%_datadir/pixmaps/sflphone.svg

%files client-kde -f %name-client-kde/build/%name-client-kde.lang
%_bindir/%name-client-kde
%_mandir/man1/%name-client-kde*
%_desktopdir/kde4
%_datadir/apps/%name-client-kde
%_datadir/config.kcfg
%_defaultdocdir/HTML
%_iconsdir/hicolor/16x16/apps/%name-client-kde.png
%_iconsdir/hicolor/22x22/apps/%name-client-kde.png
%_iconsdir/hicolor/32x32/apps/%name-client-kde.png
%_iconsdir/hicolor/48x48/apps/%name-client-kde.png
%_iconsdir/hicolor/64x64/apps/%name-client-kde.png
%_iconsdir/hicolor/128x128/apps/%name-client-kde.png
%_iconsdir/hicolor/scalable/apps/%name-client-kde.*


%changelog
* Sat Jan 12 2013 Andrey Cherepanov <cas@altlinux.org> 0.9.13-alt1.M60P.1
- Rebuild with new version of libwebkitgtk2

* Thu Apr 14 2011 Vladimir V. Kamarzin <vvk@altlinux.org> 0.9.13-alt1
- Initial build for Sisyphus.
